package com.hindigk.gkhindiquiz.hindiquiz.activities;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;

import com.hindigk.gkhindiquiz.hindiquiz.R;
import com.hindigk.gkhindiquiz.hindiquiz.adapter.CategoryListAdapter;

public class ChildCategoryListActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_child_category_list);

        int dbIndex = getIntent().getIntExtra("cat_index",0);

        RecyclerView recyclerView = (RecyclerView) findViewById(R.id.activity_child_category_recyclerview);
        recyclerView.setHasFixedSize(true);

        LinearLayoutManager layoutManager = new LinearLayoutManager(ChildCategoryListActivity.this);
        recyclerView.setLayoutManager(layoutManager);

        CategoryListAdapter matchAdapter = new CategoryListAdapter(ChildCategoryListActivity.this, false, dbIndex);
        recyclerView.setAdapter(matchAdapter);
    }
}
